summaryrefslogtreecommitdiffstats
path: root/src/3rdparty/v8/tools/merge-to-branch.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/3rdparty/v8/tools/merge-to-branch.sh')
-rwxr-xr-x[-rw-r--r--]src/3rdparty/v8/tools/merge-to-branch.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/src/3rdparty/v8/tools/merge-to-branch.sh b/src/3rdparty/v8/tools/merge-to-branch.sh
index aa590a3..e0011ed 100644..100755
--- a/src/3rdparty/v8/tools/merge-to-branch.sh
+++ b/src/3rdparty/v8/tools/merge-to-branch.sh
@@ -186,7 +186,6 @@ if [ $START_STEP -le $CURRENT_STEP ] ; then
if [ -n "$EXTRA_PATCH" ] ; then
apply_patch "$EXTRA_PATCH"
fi
- stage_files
fi
let CURRENT_STEP+=1
@@ -205,8 +204,9 @@ if [ $START_STEP -le $CURRENT_STEP ] ; then
your EDITOR on $VERSION_FILE so you can make arbitrary changes. When \
you're done, save the file and exit your EDITOR.)"
if [ $? -eq 0 ] ; then
+ echo $NEWPATCH $VERSION_FILE
sed -e "/#define PATCH_LEVEL/s/[0-9]*$/$NEWPATCH/" \
- -i "$VERSION_FILE"
+ -i.bak "$VERSION_FILE" || die "Could not increment patch level"
else
$EDITOR "$VERSION_FILE"
fi